# Class SnapshotInfo

java.lang.Object
org.apache.zookeeper.server.persistence.SnapshotInfo

public class SnapshotInfo extends Object
stores the zxid (as in its file name) and the last modified timestamp of a snapshot file

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`timestamp`
`long`
`zxid`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### zxid

public long zxid

### timestamp

public long timestamp